---
# Firewall configuration
# Revocation rules

## Revoke all 2376
- name: List existing docker-swarm UFW rules - tcp,udp/2376
  become: yes
  shell: >
    ufw status numbered | grep -zoP '\[.*\]\s2376(?!\\d).*\n'  | sed -E 's/\[\s*([0-9]+)\].*$/\1/g'  | tr --delete [:blank:] | sed 's/\x0//g' | sort -rn | sed '/^s*$/d'
  changed_when: false
  register: ufw_docker_swarm_2376_rules

- name: UFW delete existing docker-swarm rules - tcp,udp/2376
  become: yes
  shell: "yes y | ufw delete {{ item|quote }}"
  with_items: "{{ ufw_docker_swarm_2376_rules.stdout_lines }}"

## Revoke all 2377
- name: List existing docker-swarm UFW rules - tcp,udp/2377
  become: yes
  shell: >
    ufw status numbered | grep -zoP '\[.*\]\s2377(?!\\d).*\n'  | sed -E 's/\[\s*([0-9]+)\].*$/\1/g'  | tr --delete [:blank:] | sed 's/\x0//g' | sort -rn | sed '/^s*$/d'
  changed_when: false
  register: ufw_docker_swarm_2377_rules

- name: UFW delete existing docker-swarm rules - tcp,udp/2377
  become: yes
  shell: "yes y | ufw delete {{ item|quote }}"
  with_items: "{{ ufw_docker_swarm_2377_rules.stdout_lines }}"

## Revoke all 7946
- name: List existing docker-swarm UFW rules - tcp,udp/7946
  become: yes
  shell: >
    ufw status numbered | grep -zoP '\[.*\]\s7946(?!\\d).*\n'  | sed -E 's/\[\s*([0-9]+)\].*$/\1/g'  | tr --delete [:blank:] | sed 's/\x0//g' | sort -rn | sed '/^s*$/d'
  changed_when: false
  register: ufw_docker_swarm_7946_rules

- name: UFW delete existing docker-swarm rules - tcp/7946
  become: yes
  shell: "yes y | ufw delete {{ item|quote }}"
  with_items: "{{ ufw_docker_swarm_7946_rules.stdout_lines }}"

## Revoke all 4789
- name: List existing docker-swarm UFW rules - tcp,udp/4789
  become: yes
  shell: >
    ufw status numbered | grep -zoP '\[.*\]\s4789(?!\\d).*\n'  | sed -E 's/\[\s*([0-9]+)\].*$/\1/g'  | tr --delete [:blank:] | sed 's/\x0//g' | sort -rn | sed '/^s*$/d'
  changed_when: false
  register: ufw_docker_swarm_4789_rules

- name: UFW delete existing docker-swarm rules - tcp/4789
  become: yes
  shell: "yes y | ufw delete {{ item|quote }}"
  with_items: "{{ ufw_docker_swarm_4789_rules.stdout_lines }}"

## End of revocation
-
- name: Allow nodes ips to pass firewall - tcp/2376
  become: yes
  ufw:
    rule: allow
    port: "2376"
    src: "{{ item }}"
  with_items: "{{ nodes_ips }}"

- name: Allow nodes ips to pass firewall - tcp/2377
  become: yes
  ufw:
    rule: allow
    port: "2377"
    src: "{{ item }}"
  with_items: "{{ nodes_ips }}"

- name: Allow nodes ips to pass firewall - tcp,udp/7946
  become: yes
  ufw:
    rule: allow
    port: "7946"
    src: "{{ item }}"
  with_items: "{{ nodes_ips }}"

- name: Allow nodes ips to pass firewall - tcp,udp/4789
  become: yes
  ufw:
    rule: allow
    port: "4789"
    src: "{{ item }}"
  with_items: "{{ nodes_ips }}"
...